Package com.pixelmed.dicom

# Class CompressedFrameDecoder.ByteArrayInputStreamWithOffsetCounterAndOurMethods

java.lang.Object
java.io.InputStream
com.pixelmed.dicom.CompressedFrameDecoder.ByteArrayInputStreamWithOffsetCounterAndOurMethods

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  CompressedFrameDecoder

protected class CompressedFrameDecoder.ByteArrayInputStreamWithOffsetCounterAndOurMethods extends InputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected byte[]`
`buf`
`protected int`
`count`
`protected int`
`pos`

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayInputStreamWithOffsetCounterAndOurMethods(byte[] buf)`

## Method Summary

Modifier and Type
Method
Description
`int`
`available()`
`int`
`getOffsetOfNextByteToReadFromStartOfFragment()`
`boolean`
`markSupported()`
`int`
`read()`
`int`
`read(byte[] b, int off, int len)`
`final long`
`readUnsigned32LittleEndian()`
`final void`
`readUnsigned32LittleEndian(long[] w, int offset, int len)`
`long`
`skip(long n)`
`void`
`skipInsistently(long length)`

### Methods inherited from class java.io.InputStream

`close, mark, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### buf

protected byte[] buf

### pos

protected int pos

### count

protected int count

## Constructor Details

### ByteArrayInputStreamWithOffsetCounterAndOurMethods

public ByteArrayInputStreamWithOffsetCounterAndOurMethods(byte[] buf)

## Method Details

### read

public int read()

Specified by:
  `read` in class `InputStream`

### read

public int read(byte[] b, int off, int len)

Overrides:
  `read` in class `InputStream`

### skip

public long skip(long n)

Overrides:
  `skip` in class `InputStream`

### available

public int available()

Overrides:
  `available` in class `InputStream`

### markSupported

public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

### readUnsigned32LittleEndian

public final long readUnsigned32LittleEndian()

### readUnsigned32LittleEndian

public final void readUnsigned32LittleEndian(long[] w, int offset, int len) throws IOException

Throws:
  `IOException`

### skipInsistently

public void skipInsistently(long length) throws IOException

Throws:
  `IOException`

### getOffsetOfNextByteToReadFromStartOfFragment

public int getOffsetOfNextByteToReadFromStartOfFragment()